diff -urN galeon-1.3.14a.orig/src/galeon-window.c galeon-1.3.14a/src/galeon-window.c
--- galeon-1.3.14a.orig/src/galeon-window.c	2004-03-18 19:38:28.000000000 +0100
+++ galeon-1.3.14a/src/galeon-window.c	2004-04-22 14:42:44.000000000 +0200
@@ -201,6 +201,13 @@
 };
 static guint IMAGES_RADIO_SIZE = G_N_ELEMENTS(ImagesRadioGroup);
 
+static const char *ImageAnimationRadioGroup[] = {
+	"ViewImageAnimationContinuousAction",
+	"ViewImageAnimationOnceAction",
+	"ViewImageAnimationNeverAction"
+};
+static guint IMAGEANIMATION_RADIO_SIZE = G_N_ELEMENTS(ImageAnimationRadioGroup);
+
 static const char *CookiesRadioGroup[] = {
 	"WebCookiesAlwaysAction",
 	"WebCookiesCurrentAction",
@@ -308,6 +315,9 @@
 view_images_policy_changed(EggAction *action, GaleonWindow *window);
 
 static void
+view_image_animation_policy_changed(EggAction *action, GaleonWindow *window);
+
+static void
 web_cookies_policy_changed(EggAction *action, GaleonWindow *window);
 
 static EggActionGroupEntry entries[] = {
@@ -315,6 +325,7 @@
 	{ "EditMenuAction", N_("_Edit"), NULL, NULL, NULL, NULL, NULL },
 	{ "ViewMenuAction", N_("_View"), NULL, NULL, NULL, NULL, NULL },
 	{ "ViewImagesMenuAction", N_("I_mages"), NULL, NULL, NULL, NULL, NULL },
+	{ "ViewImageAnimationMenuAction", N_("Image Animation"), NULL, NULL, NULL, NULL, NULL },
 	{ "ViewEncodingMenuAction", N_("_Encoding"), NULL, NULL, NULL, NULL, NULL },
 	{ "ViewStylesMenuAction", N_("St_yles"), NULL, NULL, NULL, NULL, NULL },
 	{ "WebMenuAction", N_("_Web"), NULL, NULL, NULL, NULL, NULL },
@@ -403,6 +414,17 @@
 	  N_("Don't view any images"),
 	  G_CALLBACK(view_images_policy_changed), NULL, RADIO_ACTION, "ViewImagesAlwaysAction"},
 
+
+	{ "ViewImageAnimationContinuousAction", N_("Continuous Animation"), NULL, NULL,
+	  N_("Animation cycles continuously"),
+	  G_CALLBACK(view_image_animation_policy_changed), NULL, RADIO_ACTION },
+	{ "ViewImageAnimationOnceAction", N_("Animate Once"), NULL, NULL,
+	  N_("Animation cycles once"),
+	  G_CALLBACK(view_image_animation_policy_changed), NULL, RADIO_ACTION, "ViewImageAnimationContinuousAction"},
+	{ "ViewImageAnimationNeverAction", N_("Never Animate"),  NULL, NULL,
+	  N_("Never animate images"),
+	  G_CALLBACK(view_image_animation_policy_changed), NULL, RADIO_ACTION, "ViewImageAnimationContinuousAction"},
+
 	{ "WebAllowJavaAction", N_("Allow _Java"), NULL, NULL,
 	  N_("Toggle allowing of java applets to run"), G_CALLBACK(egg_cmd_allow_java), NULL, TOGGLE_ACTION },
 	{ "WebAllowJSAction", N_("Allow Java_Script"), NULL, NULL,
@@ -1116,6 +1138,24 @@
 }
 
 static void
+view_image_animation_policy_changed(EggAction *action, GaleonWindow *window)
+{
+	if (GALEON_TOGGLE_ACTION(action)->active == TRUE)
+	{
+		guint i;
+		for ( i=0 ; i<IMAGEANIMATION_RADIO_SIZE ; i++)
+		{
+			if(!strcmp(action->name, ImageAnimationRadioGroup[i]))
+			{
+				eel_gconf_set_integer(CONF_FILTERING_ANIMATE_TYPE, 
+						      i);
+				break;
+			}
+		}
+	}
+}
+
+static void
 view_images_gconf_changed_cb(GConfClient *client,
 		             guint cnxn_id,
 			     GConfEntry *entry,
diff -urN galeon-1.3.14a.orig/ui/galeon-egg-ui.xml galeon-1.3.14a/ui/galeon-egg-ui.xml
--- galeon-1.3.14a.orig/ui/galeon-egg-ui.xml	2004-02-12 23:04:37.000000000 +0100
+++ galeon-1.3.14a/ui/galeon-egg-ui.xml	2004-04-22 14:41:22.000000000 +0200
@@ -50,6 +50,12 @@
 		<menuitem name="ViewImagesCurrent" verb="ViewImagesCurrentAction" />
 		<menuitem name="ViewImagesNever" verb="ViewImagesNeverAction" />
 	</submenu>
+	<submenu name="Image Animation" verb="ViewImageAnimationMenuAction">
+		<menuitem name="ImageAnimationTearoff" verb="Tearoff" />
+		<menuitem name="ViewImageAnimationContinuous" verb="ViewImageAnimationContinuousAction" />
+		<menuitem name="ViewImageAnimationOnce" verb="ViewImageAnimationOnceAction" />
+		<menuitem name="ViewImageAnimationNever" verb="ViewImageAnimationNeverAction" />
+	</submenu>
 	<submenu name="Encoding" verb="ViewEncodingMenuAction">
           <placeholder name="ViewEncodingPlaceholder"/>
         </submenu>
